LibreOffice: XSidebarProvider Interface Reference

LibreOffice LibreOffice 7.3 SDK API Reference

Public Member Functions | List of all members
XSidebarProvider Interface Reference

Interface of the sidebar. More...

`import"XSidebarProvider.idl";`

Inheritance diagram for XSidebarProvider:

## Public Member Functions
void | setVisible ([in] boolean bVisible)
| Display the sidebar. More...
boolean | isVisible ()
| Is the sidebar visible. More...
com::sun::star::frame::XFrame | getFrame ()
| Get the XFrame owner. More...
com::sun::star::ui::XDecks | getDecks ()
void | showDecks ([in] boolean bVisible)
| Decks container visibility. More...
com::sun::star::ui::XSidebar | getSidebar ()
| Returns the sidebar object. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of the sidebar.

Since
  LibreOffice 5.1

## Member Function Documentation

## ◆ getDecks()

com::sun::star::ui::XDecks getDecks | ( |  | ) |

## ◆ getFrame()

com::sun::star::frame::XFrame getFrame | ( |  | ) |

Get the XFrame owner.

## ◆ getSidebar()

com::sun::star::ui::XSidebar getSidebar | ( |  | ) |

Returns the sidebar object.

## ◆ isVisible()

boolean isVisible | ( |  | ) |

Is the sidebar visible.

## ◆ setVisible()

void setVisible | ( | [in] boolean | bVisible | ) |

Display the sidebar.

Parameters

  bVisible | the requested visible state

## ◆ showDecks()

void showDecks | ( | [in] boolean | bVisible | ) |

Decks container visibility.

Parameters

  bVisible | the requested visible state FALSE collapses the deck container horizontally. Then Only shows the deck TabBar selector TRUE expands the deck container and show active Deck content

The documentation for this interface was generated from the following file:

- com/sun/star/ui/XSidebarProvider.idl